<root>
  <device id="312">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Канал 1" id="0" />
          <param name="Канал 2" id="1" />
        </group>
        <group name="Часовые показания">
          <param name="Канал 1" id="2" />
          <param name="Канал 2" id="3" />
        </group>
        <group name="Суточные показания">
          <param name="Канал 1" id="4" />
          <param name="Канал 2" id="5" />
        </group>
        <group name="Месячные показания">
          <param name="Канал 1" id="6" />
          <param name="Канал 2" id="7" />
        </group>
        <param name="Текущие ошибки" id="8" />
        <param name="Накопленные ошибки" id="9" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <group name="Текущие показания">
          <param name="Время работы" id="0" />
          <param name="Канал 1" id="1" />
          <param name="Канал 2" id="2" />
        </group>
      </version>
      <version id="2">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Канал 1" id="1" />
          <param name="Канал 2" id="2" />
        </group>
        <group name="Месячные показания">
          <param name="Канал 1" id="3" />
          <param name="Канал 2" id="4" />
        </group>
      </version>
    </narrowband>
  </device>
  <device id="324">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Объём [м3]" id="0" />
        </group>
        <group name="Часовые показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Суточные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="3" />
        </group>
        <param name="Текущие ошибки" id="4" />
        <param name="Накопленные ошибки" id="5" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <param name="Текущие ошибки" id="3" />
      </version>
    </narrowband>
  </device>
  <device id="327">
    <wideband>
      <version id="1">
        <group name="Показания">
          <param name="Потребление за период" id="0" />
          <param name="Потребление за месяц" id="1" />
          <param name="Потребление(предыдущий период)" id="2" />
        </group>
        <param name="Ошибки" id="3" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Показания">
          <param name="Потребление за перио" id="1" />
          <param name="Потребление за месяц" id="2" />
          <param name="Потребление за месяц" id="3" />
        </group>
        <param name="Текущие ошибки" id="4" />
      </version>
    </narrowband>
  </device>
  <device id="355">
    <wideband>
      <version id="1">
        <group name="Часовые показания">
          <param name="Канал 1" id="0" />
          <param name="Канал 2" id="1" />
          <param name="Канал 3" id="2" />
        </group>
        <group name="Суточные показания">
          <param name="Канал 1" id="3" />
          <param name="Канал 2" id="4" />
          <param name="Канал 3" id="5" />
        </group>
        <group name="Месячные показания">
          <param name="Канал 1" id="6" />
          <param name="Канал 2" id="7" />
          <param name="Канал 3" id="8" />
        </group>
        <param name="Текущие ошибки" id="9" />
        <param name="Накопленные ошибки" id="10" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Канал 1" id="1" />
          <param name="Канал 2" id="2" />
          <param name="Канал 3" id="3" />
        </group>
        <group name="Месячные показания">
          <param name="Канал 1" id="4" />
          <param name="Канал 2" id="5" />
          <param name="Канал 3" id="6" />
        </group>
      </version>
    </narrowband>
  </device>
  <device id="345">
    <wideband>
      <version id="1">
        <group name="Суточные показания">
          <param name="Объем [м3]" id="4" />
          <group name="Энергия">
            <param name="Тепло" id="0" />
            <param name="Холод" id="2" />
          </group>
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="6" />
            <param name="Флаги ошибок" id="8" />
          </group>
        </group>
        <group name="Месячные показания">
          <param name="Объем [м3]" id="5" />
          <group name="Энергия">
            <param name="Тепло" id="1" />
            <param name="Холод" id="3" />
          </group>
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="7" />
            <param name="Флаги ошибок" id="9" />
          </group>
        </group>
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Энергия" id="1" />
          <param name="Флаги ошибок" id="3" />
        </group>
        <group name="Месячные показания">
          <param name="Энергия" id="2" />
          <param name="Флаги ошибок" id="4" />
        </group>
      </version>
      <version id="1">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Объем [м3]" id="1" />
          <param name="Флаги ошибок" id="3" />
        </group>
        <group name="Месячные показания">
          <param name="Объем [м3]" id="2" />
          <param name="Флаги ошибок" id="4" />
        </group>
      </version>
    </narrowband>
  </device>
  <device id="381">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Объём [м3]" id="0" />
        </group>
        <group name="Часовые показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Суточные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="3" />
        </group>
        <param name="Текущие ошибки" id="4" />
        <param name="Накопленные ошибки" id="5" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <param name="Текущие ошибки" id="3" />
      </version>
    </narrowband>
  </device>
  <device id="386">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Объём [м3]" id="0" />
        </group>
        <group name="Часовые показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Суточные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="3" />
        </group>
        <param name="Текущие ошибки" id="4" />
        <param name="Накопленные ошибки" id="5" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <param name="Текущие ошибки" id="3" />
      </version>
    </narrowband>
  </device>
  <device id="399">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Тариф 1 актив [кВт*ч]" id="0" />
          <param name="Тариф 2 актив [кВт*ч]" id="1" />
          <param name="Тариф 3 актив [кВт*ч]" id="2" />
          <param name="Тариф 4 актив [кВт*ч]" id="3" />
        </group>
        <group name="Месячные показания">
          <param name="Тариф 1 актив [кВт*ч]" id="4" />
          <param name="Тариф 2 актив [кВт*ч]" id="5" />
          <param name="Тариф 3 актив [кВт*ч]" id="6" />
          <param name="Тариф 4 актив [кВт*ч]" id="7" />
        </group>
        <param name="Текущие ошибки" id="8" />
        <param name="Накопленные ошибки" id="9" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Месячные показания">
          <param name="Тариф 1 актив [кВт*ч]" id="1" />
          <param name="Тариф 2 актив [кВт*ч]" id="2" />
          <param name="Тариф 3 актив [кВт*ч]" id="3" />
          <param name="Тариф 4 актив [кВт*ч]" id="4" />
          <param name="Статус" id="5" />
        </group>
      </version>
    </narrowband>
  </device>
  <device id="410">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Объём [м3]" id="0" />
        </group>
        <group name="Часовые показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Суточные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="3" />
        </group>
        <param name="Текущие ошибки" id="4" />
        <param name="Накопленные ошибки" id="5" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Объём [м3]" id="1" />
        </group>
        <group name="Месячные показания">
          <param name="Объём [м3]" id="2" />
        </group>
        <param name="Текущие ошибки" id="3" />
      </version>
    </narrowband>
  </device>
  <device id="400">
    <wideband>
      <version id="1">
        <group name="Текущие показания">
          <param name="Тариф 1 актив [кВт*ч]" id="0" />
          <param name="Тариф 2 актив [кВт*ч]" id="1" />
          <param name="Тариф 3 актив [кВт*ч]" id="2" />
          <param name="Тариф 4 актив [кВт*ч]" id="3" />
        </group>
        <group name="Месячные показания">
          <param name="Тариф 1 актив [кВт*ч]" id="4" />
          <param name="Тариф 2 актив [кВт*ч]" id="5" />
          <param name="Тариф 3 актив [кВт*ч]" id="6" />
          <param name="Тариф 4 актив [кВт*ч]" id="7" />
        </group>
        <param name="Текущие ошибки" id="8" />
        <param name="Накопленные ошибки" id="9" />
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Месячные показания">
          <param name="Тариф 1 актив [кВт*ч]" id="1" />
          <param name="Тариф 2 актив [кВт*ч]" id="2" />
          <param name="Тариф 3 актив [кВт*ч]" id="3" />
          <param name="Тариф 4 актив [кВт*ч]" id="4" />
          <param name="Статус" id="5" />
        </group>
      </version>
    </narrowband>
  </device>
  <device id="447">
    <wideband>
      <version id="1">
        <group name="Суточные показания">
          <group name="Объём">
            <param name="Прямой [м3]" id="0" />
            <param name="Обратный [м3]" id="2" />
          </group>
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="4" />
            <param name="Флаги ошибок" id="6" />
          </group>
        </group>
        <group name="Месячные показания">
          <group name="Объём">
            <param name="Прямой [м3]" id="1" />
            <param name="Обратный [м3]" id="3" />
          </group>
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="5" />
            <param name="Флаги ошибок" id="7" />
          </group>
        </group>
      </version>
    </wideband>
    <narrowband>
      <version id="0">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <param name="Объём прямой [м3]" id="0" />
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="2" />
            <param name="Флаги ошибок" id="4" />
          </group>
        </group>
        <group name="Месячные показания">
          <param name="Объём прямой [м3]" id="1" />
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="3" />
            <param name="Флаги ошибок" id="5" />
          </group>
        </group>
      </version>
      <version id="1">
        <param name="Текущая дата" id="0" />
        <group name="Суточные показания">
          <group name="Объём">
            <param name="Прямой [м3]" id="1" />
            <param name="Обратный [м3]" id="3" />
          </group>
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="5" />
            <param name="Флаги ошибок" id="7" />
          </group>
        </group>
        <group name="Месячные показания">
          <group name="Объём">
            <param name="Прямой [м3]" id="2" />
            <param name="Обратный [м3]" id="4" />
          </group>
          <group name="Состояние">
            <param name="Время нормальной работы [ч]" id="6" />
            <param name="Флаги ошибок" id="8" />
          </group>
        </group>
      </version>
    </narrowband>
  </device>
</root>